import { DocsAnalyser } from 'dolphindb/docs.js';
import { LANGUAGE_ID } from './constant.js';
import { registerTokenizer, setColorMap } from './tokenizer.js';
import { registerMonacoLanguageProviders, setDocsAnalyser } from './docs.js';
export async function registerDolphinDBLanguage(monaco, { docs, theme }) {
    const { languages } = monaco;
    languages.register({ id: LANGUAGE_ID });
    setDocsAnalyser(new DocsAnalyser(docs));
    registerMonacoLanguageProviders(monaco);
    await registerTokenizer(languages);
    setColorMap(monaco, theme ?? 'light');
}
//# sourceMappingURL=index.js.map