import type * as Monaco from 'monaco-editor';
import { RegisterDolphinDBLanguageOptions } from '../index.js';
export interface IUseInitDolphinDBMonacoOptions {
    /** 只会触发在 monaco 初始化完成前渲染的组件的，初始化完成后重新渲染组件将不再触发该方法 */
    onMonacoInit?: (monaco: typeof Monaco) => void;
    /** Monaco 初始化失败的回调，触发规则同 onMonacoInit */
    onMonacoInitFailed?: (err: Error) => void;
    /** 初始化前的 hook，你可以加载或配置 monaco 需要的资源（wasm） */
    beforeMonacoInit?: () => Promise<void> | void;
    dolphinDBLanguageOptions: RegisterDolphinDBLanguageOptions;
}
export declare function useInitDolphinDBMonaco({ beforeMonacoInit, onMonacoInit, onMonacoInitFailed, dolphinDBLanguageOptions, }: IUseInitDolphinDBMonacoOptions): void;
export type IUseDolphinDBMonacoOptions = RegisterDolphinDBLanguageOptions;
/**
 * update editor on options change
 */
export declare function useDolphinDBMonacoOptions({ theme }: IUseDolphinDBMonacoOptions): void;
